Search Dealers
Dealers that match the filters, most recently seen first, from the dealers seen in vehicle listings. At least one of name, domain, zip, state or make is required.
AuthorizationBearer <token>
Use your API key in the Authorization header: Authorization: Bearer YOUR_API_KEY
In: header
Query Parameters
name?string
Dealer name, or part of it; case-insensitive
domain?string
Dealer website domain, e.g. austinsubaru.com
zip?string
US ZIP code
radius?number
Miles around zip; needs zip
state?string
Two-letter state code
make?string
Dealers with at least one current listing of this make
limit?integer
Results per page
Default
50Range
value <= 200offset?integer
Results to skip
Default
0Response Body
curl -X GET "https://api.auto.dev/dealers/search?name=string&domain=string&zip=string&radius=0&state=string&make=string&limit=50&offset=0"{
"data": [
{
"id": "d_0050e3915c8f3cdf",
"name": "Austin Subaru",
"phone": "+15123232837",
"website": "austinsubaru.com",
"domain": "austinsubaru.com",
"street": "8100 Burnet Rd",
"city": "Austin",
"state": "TX",
"zip": "78757",
"country": "US",
"lat": 30.36,
"lon": -97.731,
"lastSeen": "2026-11-12 21:00:41.815",
"listings": "https://api.auto.dev/listings?dealerId=d_0050e3915c8f3cdf"
},
{
"id": "d_919fb2028afae889",
"name": "Austin Subaru",
"phone": "+15129579938",
"website": null,
"domain": null,
"street": null,
"city": "Austin",
"state": "TX",
"zip": null,
"country": null,
"lat": null,
"lon": null,
"lastSeen": "2026-11-12 06:23:58.915",
"listings": null
}
],
"total": 10,
"limit": 50,
"offset": 0
}{
"error": {
"status": 400,
"error": "At least one of name, domain, zip, state, make is required.",
"code": "MISSING_FILTER",
"path": "/dealers/search",
"requestId": "a5986bdc6d74b33c"
}
}{
"error": {
"status": 0,
"error": "string",
"code": "string",
"path": "string",
"requestId": "string",
"reason": "not_yet_available",
"retryable": true,
"detectedMarket": {
"country": "string",
"region": "string"
},
"detectedClass": {
"vehicleType": "string"
}
},
"vin": "string",
"vinValid": true
}